BSDE_PARSE_RULE(3)

NAME
bsde_parse_rule, bsde_parse_rule_string - parse file system firewall rules

LIBRARY
libugidfw

SYNOPSIS
#include <ugidfw.h>
int
bsde_parse_rule(int argc, char *argv[], struct mac_bsdextended_rule *rule, size_t buflen, char *errstr);
int
bsde_parse_rule_string(const char *string, struct mac_bsdextended_rule *rule, size_t buflen, char *errstr);

DESCRIPTION
The bsde_parse_rule() function parses an argument vector (e.g. argv as passed to main()) into rule. If an error occurs, *errstr is filled in with the error string (up to errlen characters, including the terminating NUL).

The bsde_parse_rule_string() function is identical to bsde_parse_rule(), except that it parses a single string rather than an array of arguments.

RETURN VALUES
The bsde_parse_rule_string() and bsde_parse_rule() functions return 0 if successful; otherwise the value -1 is returned and the value of *errstr is filled in as documented in DESCRIPTION.

SEE ALSO
bsde_delete_rule(3), bsde_get_rule(3), bsde_get_rule_count(3), bsde_get_rule_slots(3), bsde_rule_to_string(3), bsde_set_rule(3), libugidfw(3), mac_bsdextended(4), ugidfw(8)

AUTHORS
This software was contributed to the FreeBSD Project by Network Associates Labs, the Security Research Division of Network Associates Inc. under DARPA/SPAWAR contract N66001-01-C-8035 (“CBOSS”), as part of the DARPA CHATS research program.